#!/usr/local/bin/perl
##############################################################################
package sfs6_diary_rss;
use strict;
use CGI::Carp qw(fatalsToBrowser);

############################
my $libdir = './slib';	#̾ѹ
my $libdir1 = './lib';	#̾ѹ
my $tmpldir = './tmpl';	#̾ѹ
my $gl_cgi = './sfs6_diary_gl.cgi';	#̾ѹ

unshift @INC, "$libdir";
push @INC, "$libdir1";

require Scgi::ParseData;
require Scgi::Rss;

my $gl;
$gl->{version} = "version 2.25";
$gl->{script_name} = "shiromuku(fs6)DIARY";
$gl->{credit_url} = "http://www.t-okada.com/cgi/";
$gl->{userip} = $ENV{'REMOTE_ADDR'};
$gl->{libdir} = $libdir;
$gl->{tmpldir} = $tmpldir;
my$ps = Scgi::ParseData->new($gl);
$gl = $ps->get_globals("$gl_cgi");

my$form;
my $config = $ps->open_config ("$gl->{basedir}/$gl->{configfile}",$gl);
if ($ENV{'CONTENT_LENGTH'} || $ENV{'QUERY_STRING'}) {
	$form = $ps->parse_data($gl,$config);
}

my %HoD = ();
@HoD{"gl", "config"} = ($gl, $config);
foreach (split(/\,/,$config->{img_file1})) {++$HoD{img_file1}{$_};}
my $key;
foreach $key (keys %{$form}) {
	$HoD{$key} = $form->{$key};
}

my$proc = Scgi::Rss->new(\%HoD);
$proc->run;
exit;